
package org.apache.servicemix.hola_mon;

import java.net.MalformedURLException;
import java.util.Collection;
import java.util.HashMap;
import javax.xml.namespace.QName;
import org.codehaus.xfire.XFireRuntimeException;
import org.codehaus.xfire.aegis.AegisBindingProvider;
import org.codehaus.xfire.annotations.AnnotationServiceFactory;
import org.codehaus.xfire.annotations.jsr181.Jsr181WebAnnotations;
import org.codehaus.xfire.client.XFireProxyFactory;
import org.codehaus.xfire.jaxb2.JaxbTypeRegistry;
import org.codehaus.xfire.service.Endpoint;
import org.codehaus.xfire.service.Service;
import org.codehaus.xfire.soap.AbstractSoapBinding;
import org.codehaus.xfire.transport.TransportManager;

public class bonDiaServiceClient {

    private static XFireProxyFactory proxyFactory = new XFireProxyFactory();
    private HashMap endpoints = new HashMap();
    private Service service0;

    public bonDiaServiceClient() {
        create0();
        Endpoint BonDiaLocalEndpointEP = service0 .addEndpoint(new QName("http://servicemix.apache.org/hola_mon", "BonDiaLocalEndpoint"), new QName("http://servicemix.apache.org/hola_mon", "BonDiaLocalBinding"), "xfire.local://bonDiaService");
        endpoints.put(new QName("http://servicemix.apache.org/hola_mon", "BonDiaLocalEndpoint"), BonDiaLocalEndpointEP);
        Endpoint soapEP = service0 .addEndpoint(new QName("http://servicemix.apache.org/hola_mon", "soap"), new QName("http://servicemix.apache.org/hola_mon", "bonDiaWSDLSOAPBinding"), "http://localhost:8192/serveiHolaWSDL/");
        endpoints.put(new QName("http://servicemix.apache.org/hola_mon", "soap"), soapEP);
    }

    public Object getEndpoint(Endpoint endpoint) {
        try {
            return proxyFactory.create((endpoint).getBinding(), (endpoint).getUrl());
        } catch (MalformedURLException e) {
            throw new XFireRuntimeException("Invalid URL", e);
        }
    }

    public Object getEndpoint(QName name) {
        Endpoint endpoint = ((Endpoint) endpoints.get((name)));
        if ((endpoint) == null) {
            throw new IllegalStateException("No such endpoint!");
        }
        return getEndpoint((endpoint));
    }

    public Collection getEndpoints() {
        return endpoints.values();
    }

    private void create0() {
        TransportManager tm = (org.codehaus.xfire.XFireFactory.newInstance().getXFire().getTransportManager());
        HashMap props = new HashMap();
        props.put("annotations.allow.interface", true);
        AnnotationServiceFactory asf = new AnnotationServiceFactory(new Jsr181WebAnnotations(), tm, new AegisBindingProvider(new JaxbTypeRegistry()));
        asf.setBindingCreationEnabled(false);
        service0 = asf.create((org.apache.servicemix.hola_mon.BonDia.class), props);
        {
            AbstractSoapBinding soapBinding = asf.createSoap11Binding(service0, new QName("http://servicemix.apache.org/hola_mon", "BonDiaLocalBinding"), "urn:xfire:transport:local");
        }
        {
            AbstractSoapBinding soapBinding = asf.createSoap11Binding(service0, new QName("http://servicemix.apache.org/hola_mon", "bonDiaWSDLSOAPBinding"), "http://schemas.xmlsoap.org/soap/http");
        }
    }

    public BonDia getBonDiaLocalEndpoint() {
        return ((BonDia)(this).getEndpoint(new QName("http://servicemix.apache.org/hola_mon", "BonDiaLocalEndpoint")));
    }

    public BonDia getBonDiaLocalEndpoint(String url) {
        BonDia var = getBonDiaLocalEndpoint();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

    public BonDia getsoap() {
        return ((BonDia)(this).getEndpoint(new QName("http://servicemix.apache.org/hola_mon", "soap")));
    }

    public BonDia getsoap(String url) {
        BonDia var = getsoap();
        org.codehaus.xfire.client.Client.getInstance(var).setUrl(url);
        return var;
    }

}
